#################################################################################
#                Config_file                                                    #
#                                                                               #
#    Copyright (C) 2011 Institut National de Recherche en Informatique          #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#                                                                               #
#################################################################################

# check for one particular file of the sources
AC_INIT(master.Makefile.in)

VERSION=1.2

# The root directory where we will compile
ROOT=`pwd`

# Check for Ocaml compilers

OCAML_NEEDED=4.00

# we first look for ocamlfind in the path; if not present, we fail
AC_PATH_PROG(OCAMLFIND,ocamlfind,no)
if test "$OCAMLFIND" = no ; then
	AC_MSG_ERROR(Cannot find ocamlfind.)
fi

AC_PATH_PROG(CAMLP4,camlp4,no)
if test "$CAMLP4" = no ; then
	AC_MSG_ERROR(Cannot find camlp4.)
fi

# set the default prefix to the ocaml directory
AC_PREFIX_PROGRAM(ocamlfind)
exec_prefix=$prefix

#############################
# substitutions to perform
AC_SUBST(OCAMLFIND)
AC_SUBST(CAMLP4)
AC_SUBST(EXEC_PREFIX)
AC_SUBST(VERSION)

# Finally create the master.Makefile.in
ACFILES="master.Makefile "
AC_OUTPUT($ACFILES)
chmod a-w master.Makefile
